#!/bin/sh

ncpus=2
time=300
version=2.6.21-rt1

dmesg -c > /dev/null
insmod rcureadperf.ko nreaders=$ncpus test_duration=10
sleep $time
rmmod rcureadperf
dmesg -c > ${version}-r${ncpus}.txt
sleep 10

dmesg -c > /dev/null
insmod rcusyncperf.ko nreaders=$ncpus test_duration=10
sleep $time
rmmod rcusyncperf
dmesg -c > ${version}-rs${ncpus}.txt
sleep 10

dmesg -c > /dev/null
insmod schedreadperf.ko nreaders=$ncpus test_duration=10
sleep $time
rmmod rcureadperf
dmesg -c > ${version}-schedr${ncpus}.txt
sleep 10

dmesg -c > /dev/null
insmod schedsyncperf.ko nreaders=$ncpus test_duration=10
sleep $time
rmmod schedsyncperf
dmesg -c > ${version}-scheds${ncpus}.txt
sleep 10

